package common.properties;

import java.util.Collection;

import common.collect.ImmutableSet;

public class PropertyBool extends Property<Boolean> {
	private final ImmutableSet<Boolean> bools = ImmutableSet.<Boolean>of(true, false);

	public static PropertyBool create(String name) {
		return new PropertyBool(name);
	}

	private PropertyBool(String name) {
		super(name, Boolean.class);
	}

	public Collection<Boolean> getStates() {
		return this.bools;
	}

	public String getName(Boolean value) {
		return value.toString();
	}
}
